<div class="mb-3">
  <h3
    *ngIf="placeholder && name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div class="form-check form-switch">
    <input
      [id]="block.key()"
      [(ngModel)]="block.checkboxSlot.value"
      [attr.aria-describedby]="block.key('explanation')"
      type="checkbox"
      class="form-check-input"
      role="switch"
    />
    <label
      [for]="block.key()"
      class="form-check-label"
      markdown
      [content]="placeholder || name"
      [context]="context"
      [required]="block.required"
      [lineBreaks]="false"
    ></label>
  </div>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
